Skip to main content
`Ctrl`+`K`

# PetscDualSpaceGetNumDof

Get the number of degrees of freedom for each spatial (topological) dimension

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetNumDof(PetscDualSpace sp, const PetscInt *numDof[])

Not Collective

## Input Parameter

- sp - The `PetscDualSpace`

## Output Parameter

- numDof - An array of length dim+1 which holds the number of dofs for each dimension

## Note

Do not free `numDof`

## See Also

`PetscDualSpace`, `PetscDualSpaceGetFunctional()`, `PetscDualSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/dualspace/interface/dualspace.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages